Subject: bug#53415: binutils-mesboot1-2.14 configure phase fails, In procedure stat: No such file or directory: "config.status"

From: Ludovic Courtès <[email-masked]>
Date: Tue, 25 Jan 2022 23:42:03 +0100

Hi,

Christopher Baines <[email-masked]> skribis:

> I've seen this failure consistently on one of the machines behind
> bordeaux.guix.gnu.org, you can see the full logs via following the "View
> build" links here [1].
>
> 1: http://data.guix.gnu.org/gnu/store/xd8rnmr0k3fhfhilzi66hnggsnx67d5i-binutils-mesboot1-2.14.drv
>
> I've tried building multiple times on the machine where the failures
> occurred, and it's not once succeeded.
>
>>>From looking at the kept build directory, the config.status file doesn't
> exist. There is config.status.VX1nZz, but it's empty.
>
>
>
> starting phase `configure'
> running ./configure --disable-nls --disable-shared --disable-werror --build=i686-unknown-linux-gnu --host=i686-unknown-linux-gnu --with-sysroot=/ --prefix=/gnu/store/gvmha2v54svwzxigcbap8862rg3fya0w-binutils-mesboot1-2.14
> error: in phase 'configure': uncaught exception:
> system-error "stat" "~A: ~S" ("No such file or directory" "config.status") (2) 
> phase `configure' failed after 0.0 seconds

I just tried this on my laptop:

  guix build \
    /gnu/store/xd8rnmr0k3fhfhilzi66hnggsnx67d5i-binutils-mesboot1-2.14.drv \
    --check

and the ‘configure’ phase completes without problems.  I have:

--8<---------------cut here---------------start------------->8---
$ uname -srv
Linux 5.15.12-gnu #1 SMP 1
--8<---------------cut here---------------end--------------->8---

This reminds me of:

  https://issues.guix.gnu.org/49985
  https://issues.guix.gnu.org/45165

Could it be something with the kernel options, as discussed at
<https://issues.guix.gnu.org/45165#16>?

Thanks,
Ludo’.